<? include("si_confi.php"); ?>
<? include("ad_head.php"); ?>
  <div class="container">
  <? include("mn_option.php");
  date_default_timezone_set("Asia/Kolkata");
  ?>
<?
if(isset($_REQUEST['submit_emp']))
{
	 $username=$_REQUEST['username'];
	 $id=$_REQUEST['id'];
	 $expl=explode(",",$username);
	
	 $emid=$expl[0];
	 $emname=$expl[1];
	
     $leavefor=$_REQUEST['leavefor'];
	 $fdate=$_REQUEST['fdate'];
	 $todate=$_REQUEST['todate'];
 
$datt=date("Y-m-d");
	 
$time1 = strtotime($fdate);
$time2 = strtotime($todate);
$diff=floor( ($time2-$time1) /(60*60*24))+1;

$insert_employeee_details=mysql_query("update  `leave` set `empid`='$emid',`name`='$emname',`leavefor`='$leavefor',`fdate`='$fdate',`tdate`='$todate',`count`='$diff',`type`='1',`status`='1',`date`='$datt' where id='$id' ");
	
?>
<script>window.location="ad_leave.php?ad=suc";</script>
<?
}
?>

<? if($_REQUEST['ad']=='suc'){ ?>
  <div class="success" style="width:92%;margin:0 auto;margin-top:9px;">Work Allocation Details Added Successfully.</div><? } ?>
  <link type="text/css" href="calender/jquery.datepick.css" rel="stylesheet">
<script type="text/javascript" src="calender/jquery.min.js"></script>
<script type="text/javascript" src="calender/jquery.datepick.js"></script>
<script type="text/javascript">
$nocal=$.noConflict();
$nocal(function() {
	$nocal('#popupDatepicker').datepick();
	$nocal('#inlineDatepicker').datepick({onSelect: showDate});
});
function showDate(date) {
	alert('The date chosen is ' + date);
}
</script>
<script type="text/javascript">
$nocal(function() {
	$nocal('#popupDatepicker2').datepick();
	$nocal('#inlineDatepicker2').datepick({onSelect: showDate});
});
function showDate(date) {
	alert('The date chosen is ' + date);
}
</script>

   <div style="border:groove;margin-top:10px;border-width:thin;padding:20px;border-radius:4px;border-color:#cccccc;box-shadow: 10px 9px 90px #000;">
   <h2>Add Leave Details </h2>
   
   <? 
   $id=$_GET['id'];
   
   $selm=mysql_query("select * from `leave` where id='$id'");
   $fetchda=mysql_fetch_array($selm);
   
   ?>
   
 
  <form method="post" enctype="multipart/form-data" name="form" id="add_certi" autocomplete="off" action="<?php echo $_SERVER['PHP_SELF']; ?>">
		<script type="text/javascript" src="prototype.js"></script>
        <script type="text/javascript" src="validation.js"></script>
        <table cellpadding="9" id="add_certi">
        <tr>
        <td valign="top">Employee ID</td>
        <td>
        <select name="username" class="validate-selection" autofocus>
        <option value="<? echo $fetchda['empid']; ?>,<? echo $fetchda['name']; ?>" ><? echo $fetchda['name']; ?></option>
        <? $seleect_employee=mysql_query("select * from `employee_mng`");
		while($fetch_employee=mysql_fetch_array($seleect_employee)){ ?>
 <option value="<? echo $fetch_employee['emp_id']; ?>,<? echo ucwords($fetch_employee['name']); ?>"><? echo ucwords($fetch_employee['name']); ?> - <? echo ucwords($fetch_employee['emp_id']); ?></option>
		<? } ?>
        </select>
        </td>  
        </tr>
        
        <tr>
        <td valign="top">Leave For</td>
        <td><textarea name="leavefor" class="required" style="width:350px;height:100px;"><? echo $fetchda['leavefor']; ?></textarea></td>
        </tr>
        
        <tr>
        <td valign="top">From Date</td>
        <td><input type="text" name="fdate" class="required" id="popupDatepicker" value="<? echo $fetchda['fdate']; ?>">
        <input type="hidden"  name="id" value="<? echo $fetchda['id']; ?>"></td>
        </tr>
         
        <tr>
        <td valign="top">To Date</td>
        <td><input type="text" name="todate" class="required" id="popupDatepicker2" value="<? echo $fetchda['tdate']; ?>"></td>
        </tr>
        
        <!-- <tr>
        <td valign="top">Time</td>
        <td><input type="text" name="time_allocation" value="<? echo date("g:i a"); ?>" readonly style="background:#CCC;" class="required"></td>
        </tr>-->
        
        <td valign="top">&nbsp;</td>
        <td><input type="submit" name="submit_emp" onClick="return confirm('Are you sure you want to confirm add Details ?');"></td>
        </tr>
        </table>
			
		</form>
         <script type="text/javascript">
						function formCallback(result, form) 
						{window.status = "valiation callback for form '" + form.id + "': result = " + result;}
						var valid = new Validation('add_certi', {immediate : true, onFormValidate : formCallback});
					</script>
  </div>
</div><!-- container -->
  </body>
</html>